Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class SubDeployerSupport.ClassConfiguration

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              java.util.Properties
                  org.jboss.util.property.PropertyMap
                      org.jboss.util.property.PropertyContainer
                          org.jboss.deployment.SubDeployerSupport.ClassConfiguration

All Implemented Interfaces:
  Cloneable, Map, Serializable

Enclosing class:
  SubDeployerSupport

protected static class SubDeployerSupport.ClassConfiguration
extends org.jboss.util.property.PropertyContainer

Static configuration properties for this class. Allows easy access to change defaults with system properties.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.util.property.PropertyContainer
`groupname`

Fields inherited from class org.jboss.util.property.PropertyMap
`boundListeners, EMPTY_ARRAY_PROPERTY, PROPERTY_NAME_SEPARATOR, unboundListeners`

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`SubDeployerSupport.ClassConfiguration()`

Method Summary
`String` | `getNativeLibToken()`
`void` | `setNativeLibToken(String token)`

Methods inherited from class org.jboss.util.property.PropertyContainer
`bindField, bindField, bindMethod, bindMethod, throwException, throwException, throwException, throwException`

Methods inherited from class org.jboss.util.property.PropertyMap
`addPropertyListener, addPropertyListener, addPropertyListeners, containsProperty, entrySet, firePropertyAdded, firePropertyChanged, firePropertyRemoved, getArrayProperty, getArrayProperty, getProperty, getPropertyGroup, getPropertyGroup, keySet, load, load, load, load, makeIndexPropertyName, makePrefixedPropertyName, names, put, remove, removeProperty, removePropertyListener, removePropertyListener, setProperty`

Methods inherited from class java.util.Properties
`getProperty, list, list, load, propertyNames, save, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, putAll, rehash, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubDeployerSupport.ClassConfiguration

    public SubDeployerSupport.ClassConfiguration()

Method Detail

### setNativeLibToken

    public void setNativeLibToken(String token)

### getNativeLibToken

    public String getNativeLibToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.